com.ihr.xbrl.om.xdt

## Class DimensionAndMemberQNamesPair

- java.lang.Object
- - com.ihr.xbrl.om.xdt.DimensionAndMemberQNamesPair

- All Implemented Interfaces:
    DimensionAndValuePair<javax.xml.namespace.QName>

      public class DimensionAndMemberQNamesPair
      extends java.lang.Object
      implements DimensionAndValuePair<javax.xml.namespace.QName>

  This is a helper class for tools that require storing together an explicit dimension and a member value.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionAndMemberQNamesPair(javax.xml.namespace.QName dimension, javax.xml.namespace.QName member)` Create a new dimension and member pair.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `javax.xml.namespace.QName` | `getDimension()` Gets the dimension.
    `javax.xml.namespace.QName` | `getMember()` Gets the member.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DimensionAndMemberQNamesPair

          public DimensionAndMemberQNamesPair(javax.xml.namespace.QName dimension,
                                      javax.xml.namespace.QName member)

      Create a new dimension and member pair.
      Parameters:
        `dimension` - the dimension
        `member` - the member

  - ### Method Detail

    - #### getDimension

          public javax.xml.namespace.QName getDimension()

      Gets the dimension.
      Specified by:
        `getDimension` in interface `DimensionAndValuePair<javax.xml.namespace.QName>`
      Returns:
        the dimension

    - #### getMember

          public javax.xml.namespace.QName getMember()

      Gets the member.
      Specified by:
        `getMember` in interface `DimensionAndValuePair<javax.xml.namespace.QName>`
      Returns:
        the member

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`